<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */




namespace Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Honorar\AddDozent;

use Kufer\Web\KuferTools\Utils\StatusMessages\StatusMessage;

class NewDozentController extends \Kufer\Web\KuferTools\Basis\KursUebersicht\Detailsreiter\Honorar\AddDozent\NewDozentController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new NewDozentUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId(): int
  {
    return NewDozentUseCase::getToolId();
  }

  protected function getToolSectionId(): int
  {
    return NewDozentUseCase::getToolSectionId();
  }

  
  protected function getControllerToForward($pUseCaseResponse)
  {
    

    $statusMessageContainer = $pUseCaseResponse->statusMessageContainer;
    
    return new \Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\KursDetails\KursDetailsExternController($statusMessageContainer);
  }

  
}